<?php

require_once "../../../controladores/contratos.controlador.php";
require_once "../../../modelos/contratos.modelo.php";

require_once "../../../controladores/personas.controlador.php";
require_once "../../../modelos/personas.modelo.php";

require_once "../../../controladores/usuarios.controlador.php";
require_once "../../../modelos/usuarios.modelo.php";

require_once "../../../controladores/cobros.controlador.php";
require_once "../../../modelos/cobros.modelo.php";

require_once "../../../controladores/plantilla.controlador.php";
require_once "../../../modelos/configuracion.modelo.php";
// require_once "../../../controladores/productos.controlador.php";
// require_once "../../../modelos/productos.modelo.php";

class imprimirEstadoServicio{

public $idtipo_servicios;
public $estado;
public $zona;

public function traerImpresionEstadoServicio(){

	date_default_timezone_set("America/Mexico_City");
    setlocale(LC_ALL, 'spanish');

//TRAEMOS LA INFORMACIÓN DE LA VENTA

$idtipo = $this->idtipo_servicios;
$estado_servicio = $this->estado;
$zona_servicio = $this->zona;
/*
echo $idtipo."<br>";
echo $estado_servicio."<br>";
echo $zona_servicio;
exit;*/
$plantilla = new ControladorPlantilla();
$configuracionArray = $plantilla -> ctrConfiguracion();
if(!is_array($configuracionArray) || empty($configuracionArray)){
	die("Error: No se pudo cargar la configuración.");
}
$configuracion = $configuracionArray[0];
$logo = $configuracion['logo'];
$razon_social = $configuracion['razon_social'];
$prefijo =  $configuracion['prefijo'];
$celular =  $configuracion['celular'];
$email =  $configuracion['email'];
$direccion =  $configuracion['direccion'];
$nombreEmpresa = "$razon_social <br>Celular: $prefijo $celular <br> Correo: $email <br> Dirección: $direccion";

//Se agrego la funcion en Controlador Contratos Y Modelo Contratos

$respuestaContrata = ControladorContratos::ctrMostrarServiciosReporte($idtipo, $estado_servicio,$zona_servicio);
//var_dump($respuestaContrata); exit;

//Modificacion de $respuestaContrata agregandole el arreglo [0]
/*
$fecha = substr($respuestaContrata[0]["fecha_contrato"],0,-8);
$codigo = $respuestaContrata[0]["codigo"];
$estado = "";

if($respuestaContrata[0]["estado"]==0){
	$estado = "Activo";
}else if($respuestaContrata[0]["estado"] == 1){
	$estado = "Suspendido";
}else if($respuestaContrata[0]["estado"] == 2){
	$estado = "Cancelado";
}else if($respuestaContrata[0]["estado"] == 3){
	$estado = "Finalizado";
}


//TRAEMOS LA INFORMACIÓN DEL CLIENTE

$itemCliente = "idpersona";
$valorCliente = $respuestaContrata[0]["idpersona"];

$respuestaCliente = ControladorPersonas::ctrMostrarPersonas($itemCliente, $valorCliente);

//TRAEMOS LA INFORMACIÓN DEL VENDEDOR

$itemUsuario = "id";
$valorUsuario = $respuestaContrata[0]["idusuario"];

$respuestaUsuario = ControladorUsuarios::ctrMostrarUsuarios($itemUsuario, $valorUsuario);
*/
//REQUERIMOS LA CLASE TCPDF

require_once('tcpdf_include.php');

$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

$pdf->startPageGroup();

$pdf->AddPage('L','JIS_B4');

// ---------------------------------------------------------

$bloque1 = <<<EOF

	<table>
		
	<tr>
			
	<td style="width:360px">
	<div>
	<br>
	<img src="../../../$logo" style="width: 140px;">
	</div>
	</td>

	<td style="width:450px">
		
		<div style="font-size:12px; line-height:15px;">
			<br><br>
		$nombreEmpresa

		</div>

	</td>

	

	<td style="width:200px; text-align:center; color:red">
		<br><br><br>ESTADO N°.
		<br>112212</td>

</tr>



	</table>



EOF;

$pdf->writeHTML($bloque1, false, false, false, false, '');



//se modificaron las columnas

$bloque3 = <<<EOF

	<table style="font-size:9px; padding:5px 10px;">

		<tr>
		<br>
		<br>

		<td style="border: 1px solid #666; background-color:white; width:60px; text-align:center"><b>Cod. Servicio</b></td>
		
		<td style="border: 1px solid #666; background-color:white; width:160px; text-align:center"><b>Cliente</b></td>

		<td style="border: 1px solid #666; background-color:white; width:77px; text-align:center"><b>Tipo Servicio</b></td>

		<td style="border: 1px solid #666; background-color:white; width:90px; text-align:center"><b>Estado</b></td>

		<td style="border: 1px solid #666; background-color:white; width:80px; text-align:center"><b>Fecha Inscripcion</b></td>
		<td style="border: 1px solid #666; background-color:white; width:80px; text-align:center"><b>Fecha Suspension</b></td>
		<td style="border: 1px solid #666; background-color:white; width:80px; text-align:center"><b>Fecha Finalizacion</b></td>
		<td style="border: 1px solid #666; background-color:white; width:80px; text-align:center"><b>Fecha Reconexion</b></td>
		<td style="border: 1px solid #666; background-color:white; width:80px; text-align:center"><b>Reconexion</b></td>
		<td style="border: 1px solid #666; background-color:white; width:80px; text-align:center"><b>Ultimo mes pagado</b></td>
		<td style="border: 1px solid #666; background-color:white; width:80px; text-align:center"><b>Meses Pendientes</b></td>


		</tr>

	</table>

EOF;

$pdf->writeHTML($bloque3, false, false, false, false, '');

// -------------------------------------------------

// Aqui  hace el ciclo para agregar las filas 

foreach ($respuestaContrata as $key => $value) {
/*
	$cont = $key + 1;

	$fecha = strtotime($value["fechas_pagos"]);

	$mes = strftime("%B", $fecha)." - ".strftime("%Y", $fecha) ;
*/
	$mes = "";

	$respuestaUltimoPago = ControladorCobros::ctrUltimoPago($value["idservicios"]);

	if ($respuestaUltimoPago != null){
		$fecha = strtotime($respuestaUltimoPago["fechas_pagos"]);
		$mes = ucfirst(strftime("%B", $fecha));
	}

	$suma = 0;

	$respuestaMesesFaltantes = ControladorCobros::ctrMesesFlatantes($value["idservicios"]);

	if ($respuestaMesesFaltantes != null){
		$suma = $respuestaMesesFaltantes["numromeses"] - $respuestaMesesFaltantes["cont"];
	}

	$estadoPago = "";

//	$valor = "S/.".$value["valor_servicio"].".00";
	$fecha = substr($value["fecha_inicio"],0,-8); 

	if($value["estado_servicio"] == 0){
		$estadoPago = "ACTIVO";
	}else if($value["estado_servicio"] == 1){
		$estadoPago = "SUSPENDIDO";
	}else if ($value["estado_servicio"] == 2){
		$estadoPago = "FINALIZADO";
	}

	$valor = "";

	if($value["fecha_reconexion"] != null){
		$valor = "5";
	}

$bloque4 = <<<EOF

 	<table style="font-size:10px; padding:5px 10px;">

 		<tr>
 			<td style="border: 1px solid #666; color:#333; background-color:white; width:60px; text-align:center"><b>
 				$value[codigo]</b>
 			</td>
			
 			<td style="border: 1px solid #666; color:#333; background-color:white; width:160px; text-align:center">
 				$value[nombre]
 			</td>

 			<td style="border: 1px solid #666; color:#333; background-color:white; width:77px; text-align:center">
 				$value[descripcion]
 			</td>

 			<td style="border: 1px solid #666; color:#333; background-color:white; width:90px; text-align:center">$estadoPago
 			</td>

 			<td style="border: 1px solid #666; color:#333; background-color:white; width:80px; text-align:center"> 
 				$fecha
 			</td>
 			<td style="border: 1px solid #666; color:#333; background-color:white; width:80px; text-align:center"> 
 				$value[fecha_suspension]
 			</td>

 			<td style="border: 1px solid #666; color:#333; background-color:white; width:80px; text-align:center">$value[fecha_finalizacion]
 			</td>
 			<td style="border: 1px solid #666; color:#333; background-color:white; width:80px; text-align:center">$value[fecha_reconexion]
 			</td>
 			<td style="border: 1px solid #666; color:#333; background-color:white; width:80px; text-align:center">$valor
 			</td>
 			<td style="border: 1px solid #666; color:#333; background-color:white; width:80px; text-align:center">$mes
 			</td>
 			<td style="border: 1px solid #666; color:#333; background-color:white; width:80px; text-align:center">$suma
 			</td>


 		</tr>

 	</table>


EOF;

	$pdf->writeHTML($bloque4, false, false, false, false, '');

}




//SALIDA DEL ARCHIVO 

//$pdf->Output('factura.pdf', 'D');
$pdf->Output('Estado_Cuenta.pdf');

}

}

$factura = new imprimirEstadoServicio();
$factura -> idtipo_servicios = $_GET["idtipo_servicios"];
$factura -> estado = $_GET["estado"];
$factura -> zona = $_GET["zona"];
$factura -> traerImpresionEstadoServicio();

?>